Subject: bug#54551: show-paren-mode inconsistency

From: goncholden <[email-masked]>
Date: Fri, 25 Mar 2022 11:56:50 +0000

------- Original Message -------

On Friday, March 25th, 2022 at 11:47 PM, goncholden <[email-masked]> wrote:

> ------- Original Message -------
>
> On Friday, March 25th, 2022 at 8:51 PM, Stephen Berman [email-masked] wrote:
>
> > On Fri, 25 Mar 2022 07:10:36 +0000 goncholden via "Bug reports for GNU Emacs, the Swiss army knife of text editors" [email-masked] wrote:
> >
> > > I am debugging a problem where emacs states that there exists an extra
> > >
> > > closing parenthesis, but having extreme difficulty locating it.
> > >
> > > Have split the file in two and using "require" on a child file. Otherwise
> > >
> > > I have to comment each line of code rather than whole sections. Commenting
> > >
> > > each line is likely to introduce errors if one is not very careful removing
> > >
> > > the comment tags.
> >
> > Have you tried calling `check-parens' in the files?
> >
> > Steve Berman
>
> Have not played with that, no.

Need some assistance on using check-parens.  Have done
"M-x check-parens", what do I have to do after that, and what should I check?